# AnnotationProcessor (ACF (Core) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, interface: AnnotationProcessor

Package co.aikar.commands

# Interface AnnotationProcessor<T extends Annotation>

All Known Implementing Classes:
  `ConditionsProcessor`

@Deprecated public interface AnnotationProcessor<T extends Annotation>
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`default @Nullable Set<Class<?>>`
`getApplicableParameters()`
Deprecated.
`default void`
`onBaseCommandRegister(BaseCommand command, T annotation)`
Deprecated.
`default void`
`onCommandRegistered(RegisteredCommand command, T annotation)`
Deprecated.
`default void`
`onParameterRegistered(RegisteredCommand command, int parameterIndex, Parameter p, T annotation)`
Deprecated.
`default void`
`onPostComand(CommandOperationContext context)`
Deprecated.
`default void`
`onPostContextResolution(CommandExecutionContext context, Object resolvedValue)`
Deprecated.
`default void`
`onPreComand(CommandOperationContext context)`
Deprecated.
`default void`
`onPreContextResolution(CommandExecutionContext context)`
Deprecated.

## Method Details

### getApplicableParameters

@Nullable default @Nullable Set<Class<?>> getApplicableParameters()
Deprecated.

### onBaseCommandRegister

default void onBaseCommandRegister (BaseCommand command, T annotation)
Deprecated.

### onCommandRegistered

default void onCommandRegistered (RegisteredCommand command, T annotation)
Deprecated.

### onParameterRegistered

default void onParameterRegistered (RegisteredCommand command, int parameterIndex, Parameter p, T annotation)
Deprecated.

### onPreComand

default void onPreComand (CommandOperationContext context)
Deprecated.

### onPostComand

default void onPostComand (CommandOperationContext context)
Deprecated.

### onPreContextResolution

default void onPreContextResolution (CommandExecutionContext context)
Deprecated.

### onPostContextResolution

default void onPostContextResolution (CommandExecutionContext context, Object resolvedValue)
Deprecated.